#include <16F877.h>

#FUSES NOWDT, XT, NOPUT, NOPROTECT, BROWNOUT, NOLVP, NOCPD
#use delay(clock=4000000)

#byte PORTD = 0x08	//PORTD regiszterre mutat pointer

//================================================================
#int_TIMER0
void TIMER0_isr() {
//================================================================
	PORTD ^= 0xFF;
}

//================================================================
void main(){
//================================================================
 set_tris_d(0b00000000);	//PORTD kimenet
 output_d(0b01010101);		//LED bekapcs

 setup_timer_0(RTCC_INTERNAL|RTCC_DIV_256);
 enable_interrupts(INT_TIMER0); //RB4:7 megszakts be
 enable_interrupts(GLOBAL); //GIE bekapcsol

 for(;;) {
	//Semmit nem csinlunk
 }//for
}//main
